# <test>

Represents a `test` element of an <nunit2> task.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
appconfig | file | The application configuration file to use for the NUnit test domain. If not specified, NAnt will try to use a configuration name matching the file name of the assembly with extension ".config". | False
assemblyname | file | Name of the assembly to search for tests. | False
haltonfailure | bool | Build fails on failure. The default is true. | False
testname | string | Name of a specific testfixture to run. If not specified then all testfixtures are run. | False
transformfile | file | XSLT transform file to use when using the `Plain` formatter. | False

### Nested Elements:

#### <assemblies>

Assemblies to include in test.

#### </assemblies>

#### <categories>

Categories of test cases to include or exclude.

#### </categories>

### Requirements

Assembly: NAnt.NUnit2Tasks (0.85.2478.0)